Get channels details
curl --request GET \
--url https://api.poix.io/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poix.io/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poix.io/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalResults": 1,
"data": [
{
"id": "UCuAXFkgsw1L7xaCfnd5JJOw",
"title": "Rick Astley",
"description": "'Free' Remaster out now!",
"keywords": "Official Rick Astley \"rick astley\" \"never gonna give you up\" \"the best of me\" \"best of me\" \"together forever\" \"cry for help\" \"beautiful life\" \"official video\" \"official audio\" rickroll rickrolled \"rick roll\" \"rick asltey\" \"give up\" meme",
"unsubscribedTrailer": "mIHHfNVfhPk",
"country": "GB",
"customUrl": "@rickastleyyt",
"publishedAt": "2015-02-01T16:32:30Z",
"thumbnails": {
"default": {
"url": "https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s88-c-k-c0x00ffffff-no-rj",
"width": 88,
"height": 88
},
"medium": {
"url": "https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s240-c-k-c0x00ffffff-no-rj",
"width": 240,
"height": 240
},
"high": {
"url": "https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s800-c-k-c0x00ffffff-no-rj",
"width": 800,
"height": 800
}
},
"viewCount": "2100929381",
"subscriberCount": "4160000",
"hiddenSubscriberCount": false,
"videoCount": "265",
"topicIds": [
"/m/04rlf",
"/m/0gywn",
"/m/06by7",
"/m/064t9"
],
"topicCategories": [
"https://en.wikipedia.org/wiki/Music",
"https://en.wikipedia.org/wiki/Soul_music",
"https://en.wikipedia.org/wiki/Rock_music",
"https://en.wikipedia.org/wiki/Pop_music"
],
"relatedPlaylists": {
"likes": "",
"uploads": "UUuAXFkgsw1L7xaCfnd5JJOw"
},
"privacyStatus": "public",
"isLinked": true,
"longUploadsStatus": "longUploadsUnspecified",
"madeForKids": false,
"bannerExternalUrl": "https://yt3.googleusercontent.com/KBtTGhBjiM4CD9oUrQke85BALlD1Tt-QFh_AQqzJIQJXFUQt1mtS6jJjIJkQDEbphga9O1Kt",
"thumbnailUrl": "https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s240-c-k-c0x00ffffff-no-rj"
}
]
}{
"success": false,
"error": {
"issues": [
{
"received": "defaultLanguage",
"code": "invalid_enum_value",
"options": [
"title",
"description",
"keywords",
"country",
"customUrl",
"publishedAt",
"viewCount",
"subscriberCount",
"hiddenSubscriberCount",
"unsubscribedTrailer",
"videoCount",
"topicIds",
"topicCategories",
"relatedPlaylists",
"privacyStatus",
"isLinked",
"longUploadsStatus",
"madeForKids",
"bannerExternalUrl",
"thumbnailUrl",
"localizations",
"thumbnails"
],
"path": [
"fields",
1
],
"message": "Invalid enum value. Expected 'title' | 'description' | 'keywords' | 'country' | 'customUrl' | 'publishedAt' | 'viewCount' | 'subscriberCount' | 'hiddenSubscriberCount' | 'unsubscribedTrailer' | 'videoCount' | 'topicIds' | 'topicCategories' | 'relatedPlaylists' | 'privacyStatus' | 'isLinked' | 'longUploadsStatus' | 'madeForKids' | 'bannerExternalUrl' | 'thumbnailUrl' | 'localizations' | 'thumbnails', received 'defaultLanguage'"
}
],
"name": "ZodError"
}
}{
"error": {
"message": "Forbidden"
}
}Details
Get channels details
Get details for channels by their IDs, handle, or username.
GET
/
channels
Get channels details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
An array of channel IDs to retrieve data for. Each ID should be a valid channel ID.
The unique channel handle of the channel for which you want to retrieve data.
The unique channel username of the channel for which you want to retrieve data. This is the legacy username format.
The language to retrieve localized data in. If not specified, the default language will be used.
Available options:
af, am, ar, as, az, be, bg, bn, bs, ca, cs, da, de, el, en-GB, en-IN, en, es, es-419, es-US, et, eu, fa, fi, fil, fr-CA, fr, gl, gu, hi, hr, hu, hy, id, is, it, iw, ja, ka, kk, km, kn, ko, ky, lo, lt, lv, mk, ml, mn, mr, ms, my, no, ne, nl, or, pa, pl, pt, pt-PT, ro, ru, si, sk, sl, sq, sr-Latn, sr, sv, sw, ta, te, th, tr, uk, ur, uz, vi, zh-CN, zh-HK, zh-TW, zu An array of fields to include in the response. If not provided, all fields will be returned.
⌘I